﻿using UnityEngine;
using System.Collections;

public class BasicWedgeFormation : Formation {

	public BasicWedgeFormation() : base(4, FormationType.BASIC_WEDGE)
    {
    }

    protected override void AssignPositions()
    {
        mUnitPositions[0] = new Vector3(0.0f, 0.0f, 0.0f);
        mUnitPositions[1] = new Vector3(-2.0f, 0.0f, -1.0f);
        mUnitPositions[2] = new Vector3(2.0f, 0.0f, -1.0f);
        mUnitPositions[3] = new Vector3(-4.0f, 0.0f, -2.0f);

        mExpectedCenterOfMass = Vector3.zero;
        foreach(Vector3 pos in mUnitPositions)
        {
            mExpectedCenterOfMass += pos;
        }
        mExpectedCenterOfMass /= mUnitPositions.Length;
    }
}
