﻿using UnityEngine;
using System.Collections;

public class SimpleFollowCam : MonoBehaviour {

    public GameObject target;
    public float camSpeed = 0.5f;

	// Use this for initialization
	void Start ()
	{

	}

	// Update is called once per frame
	void Update () 
	{
        Vector3 modifiedTargetPos = target.transform.position;
        modifiedTargetPos.y = transform.position.y;

        Vector3 newPos = Vector3.Lerp(transform.position, modifiedTargetPos, camSpeed);
        transform.position = newPos;
	}
}
